Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685057 - Unable to list Machine Config Pool
Summary: Unable to list Machine Config Pool
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 09:27 UTC by Yadan Pei
Modified: 2019-03-12 14:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 06:19:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yadan Pei 2019-03-04 09:27:22 UTC
Description of problem:
After Machine Config Pool is created, we met error when returning to Machine Config Pool page. Click other pages and return again will workaround this issue.

Also when we open Machine Config Pool page and just wait for several minutes, the error "Oh no! Something went wrong." will appear 

Version-Release number of selected component (if applicable):
clusterversion: 4.0.0-0.nightly-2019-03-04-033148
console commit: d10fb8b637562015a0c704e72855e2d0c318783c

How reproducible:
Always

Steps to Reproduce:
1. Machine -> Machine Config Pools -> Create Machine Config Pool -> Hit Create button
2. Go back to Machine Config Pool page
3.

Actual results:
2. Blank page is returned
TypeError
Description:
Cannot read property 'conditions' of undefined

Component Trace:
in k
    in div
    in div
    in Rows
    in div
    in N
    in StatusBox
    in div
    in t
    in Connect(t)
    in M
    in div
    in div
    in div
    in ListPageWrapper_
    in div
    in Unknown
    in Connect(Component)
    in t
    in Connect(t)
    in div
    in t
    in FireMan
    in MultiListPage
    in Unknown
    in div
    in t
    in ListPage
    in S
    in t
    in div
    in Unknown
    in Unknown
    in Connect(Component)
    in ResourceListPage
    in e
    in e
    in div
    in div
    in section
    in h
    in main
    in div
    in p
    in t
    in e
    in e
    in o

Stack trace:
TypeError: Cannot read property 'conditions' of undefined
    at C (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/machine-config-pool-chunk-7b68b731da3582ad209c.min.js:1:4724)
    at k (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/machine-config-pool-chunk-7b68b731da3582ad209c.min.js:1:9799)
    at beginWork (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:50239)
    at o (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:54823)
    at a (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:55102)
    at C (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:58045)
    at _ (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:57588)
    at b (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:57425)
    at m (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:56804)
    at p (https://console-openshift-console.apps.qe-ui342.qe.devcluster.openshift.com/static/vendors~main-chunk-8d80d028855a2a7f1a0f.min.js:107:56266)


Expected results:
2. Machine Config Pool should be listed correctly

Additional info:

Comment 1 Yadan Pei 2019-03-05 06:19:41 UTC
This is not reproduced on 4.0.0-0.nightly-2019-03-04-234414 when returning to Machine Config Pools list with all details generated


Note You need to log in before you can comment on or make changes to this bug.